#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Compress
%define		pnam	Raw-Lzma
Summary:	Compress::Raw::Lzma - low-level Interface to lzma compression library
Summary(pl.UTF-8):	Compress::Raw::Lzma - niskopoziomowy interfejs do biblioteki kompresji lzma
Name:		perl-Compress-Raw-Lzma
Version:	2.101
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/Compress-Raw-Lzma-%{version}.tar.gz
# Source0-md5:	7ba205e1761e0feb6a1efed0899a6b2b
URL:		https://metacpan.org/dist/Compress-Raw-Lzma
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	xz-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::Raw::Lzma provides an interface to the in-memory
compression/uncompression functions from the lzma compression library.

Although the primary purpose for the existence of Compress::Raw::Lzma
is for use by the IO::Compress::Lzma, IO::Uncompress::UnLzma,
IO::Compress::Xz and IO::Uncompress::UnXz modules, it can be used on
its own for simple compression/uncompression tasks.

%description -l pl.UTF-8
Compress::Raw::Lzma udostępnia interfejs do funkcji kompresji i
dekompresji w pamięci biblioteki kompresji lzma.

Mimo że głównym celem istnienia modułu Compres::Raw::Lzma jest
wykorzystywanie przez moduły IO::Compres::Lzma,
IO::Uncompress::UnLzma, IO::Compress::Xz i IO::Uncompress::UnXz, może
być używany także samodzielnie do prostych zadań
kompresji/dekompresji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Compress/Raw/Lzma.pm
%dir %{perl_vendorarch}/auto/Compress/Raw/Lzma
%{perl_vendorarch}/auto/Compress/Raw/Lzma/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Raw/Lzma/Lzma.so
%{_mandir}/man3/Compress::Raw::Lzma.3pm*
%changelog
* Mon Jun 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Compress-Raw-Lzma.git;a=log;h=master

* Mon Jun 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 798f531
- updated to 2.101

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 03e9ec4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cc7d824
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a6f3e61
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 5689038
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Mon Aug 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 387a74b
- updated to 2.082

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 227a42c
- updated to 2.074
- removed obsolete no-dot-in-inc patch

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> 6cefe9f
- fix building with perl 5.26
- rel 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c8b11b7
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c510055
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> cb3297f
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Apr 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 3504a1b
- updated to 2.069

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 29e289f
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8da87a0
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1987d44
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4376b24
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d5ffbcb
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4135bd1
- up to 2.061

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 04c1f15
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 3bdb1e5
- updated to 2.052

